# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/mmc/fujitsu,sdhci-fujitsu.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Fujitsu SDHCI controller (F_SDH30)

maintainers:
  - Kunihiko Hayashi <hayashi.kunihiko@socionext.com>

allOf:
  - $ref: mmc-controller.yaml#

properties:
  compatible:
    const: fujitsu,mb86s70-sdhci-3.0

  reg:
    maxItems: 1

  clocks:
    maxItems: 2

  clock-names:
    items:
      - const: iface
      - const: core

  resets:
    maxItems: 1

  fujitsu,cmd-dat-delay-select:
    type: boolean
    description: |
      Indicating that this host requires the CMD_DAT_DELAY control to be enabled

unevaluatedProperties: false

required:
  - compatible
  - reg
  - clocks
  - clock-names

examples:
  - |
    sdhci1: mmc@36600000 {
        compatible = "fujitsu,mb86s70-sdhci-3.0";
        reg = <0x36600000 0x1000>;
        bus-width = <4>;
        vqmmc-supply = <&vccq_sdhci1>;
        clocks = <&clock 2 2 0>, <&clock 2 3 0>;
        clock-names = "iface", "core";
    };
